=== debian/changelog ===
faketime (0.9.1-2ubuntu1) saucy; urgency=low

  * Merge from debian, remaining changes: 
    - as-needed.patch: Fix object/library link order for --as-needed.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Fri, 12 Jul 2013 21:37:07 +0100

faketime (0.9.1-2) unstable; urgency=low

  * fix FTBFS on kFreeBSD (Closes: #712709) (Thanks, Petr Salinger)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 20 Jun 2013 09:28:46 -0400

faketime (0.9.1-1ubuntu1) saucy; urgency=low

  * as-needed.patch: Fix object/library link order for --as-needed.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 07:45:48 -0600

faketime (0.9.1-1) unstable; urgency=low

  * New Upstream Release
  * Moved to source format 3.0 (quilt)
  * debhelper compat level 9
  * bumped Standards-Version to 3.9.3 (no changes needed)
  * fix failures against libc 2.17 (Closes: #699559) (thanks, Gerardo
    Malazdrewicz)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 03 Feb 2013 01:42:35 -0500

faketime (0.8-1) unstable; urgency=low

  * Initial release (Closes: #495630)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 26 Aug 2008 14:37:38 -0400
