## faketime 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
+INSTALL ?= install
+
 all:
 	$(MAKE) -C src all
-	$(MAKE) -C test all
 
 test:
 	$(MAKE) -C test all
