=== debian/changelog ===
faketime (0.9.5-2) unstable; urgency=medium

  * avoid accidentally truncating LD_PRELOAD. Thanks, Antonio Terceiro
    (Closes: #743301)
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Apr 2014 09:45:49 -0400

faketime (0.9.5-1) unstable; urgency=low

  * new upstream release
  * dropped build system patches -- incorporated upstream
  * debian/copyright: make machine-readable
  * enabled use on multi-arch (Closes: #672376) though manual installation
    of non-native libfaketime packages is still necessary; see:
    https://wiki.debian.org/HelmutGrohne/MultiarchSpecChanges#A.60LD_PRELOAD.60

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 Oct 2013 19:30:40 -0400
