=== debian/changelog ===
faketime (0.9.6-7) unstable; urgency=medium

  * added DEP-8 test (thanks, Jakub Wilk!) (Closes: #830588)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 13 Jul 2016 03:41:16 +0200

faketime (0.9.6-6) unstable; urgency=medium

  * Fix CFLAGS (Closes: #830510) Thanks, Sven Joachim and Jakub Wilk for
    catching this!

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 09 Jul 2016 00:12:07 +0200

faketime (0.9.6-5) unstable; urgency=medium

  * use -Wno-nonnull-compare for GCC 6 (Closes: #811610)
  * use ${misc:Pre-Depends} for multiarch-support,
    avoiding lintian pre-depends-directly-on-multiarch-support
  * bumped standards-version to 3.9.8 (no changes needed)
  * normalize Vcs-* fields
  * use "wrap-and-sort -as" for normalizing debian/ files

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Jul 2016 13:27:29 -0400

faketime (0.9.6-4) unstable; urgency=medium

  * link to libfaketime's README from faketime's doc dir (thanks, Ximin
    Luo)
  * bump Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 14 Feb 2015 19:36:04 -0500

faketime (0.9.6-3) unstable; urgency=medium

  * a better fix (approved by upstream to let a single package work with
    multiple versions of libc (Closes: #755104)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Aug 2014 15:15:06 -0400

faketime (0.9.6-2) unstable; urgency=medium

  * note that this version does not work with libc6 < 2.17 due to
    the patch for #699559 (Closes: #753460)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 13 Jul 2014 20:23:53 -0400

faketime (0.9.6-1) unstable; urgency=medium

  * New Upstream Release (Closes: #750721, #737571)
  * bumped Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 08 Jun 2014 21:29:30 -0400
