=== debian/rules ===
#!/usr/bin/make -f

# why -Wno-nonnull-compare:
# GCC 6 includes a warning for checking if a variable nonnull if it's
# been tagged that passing a NULL value creates undefined behavior.
# faketime triggers this in its stat wrapper, which itself should
# itself have undefined behavior around NULL pointers.  But this
# doesn't make sense for an LD_PRELOAD hack.
# 
# See https://bugs.debian.org/811610 for more details.
export DEB_CFLAGS_MAINT_APPEND=-DMULTI_ARCH -Wno-nonnull-compare

# make sure dh_makeshlibs does not modify post{inst,rm} scripts:
# (avoids lintian's postinst-has-useless-call-to-ldconfig)
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	PREFIX=/usr dh $@
