## faketime 0.9.7

=== test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC = gcc
 
-CFLAGS = -std=gnu99 -Wall -DFAKE_STAT
+CFLAGS = -std=gnu99 -Wall -DFAKE_STAT -Werror -Wextra
 LDFLAGS = -lrt
 
 SRC = timetest.c
@@ -22,10 +22,10 @@
 functest:
 	./testframe.sh functests
 
-clean: 
+clean:
 	@rm -f ${OBJ} timetest
 
 distclean: clean
-	@echo 
+	@echo
 
 .PHONY: all test clean distclean
