=== debian/changelog ===
faketime (0.9.7-3ubuntu1) focal; urgency=medium

  * Don't fail on deprecation warnings in the test suite. A test deliberately
    checks the behaviour of ftime, which is deprecated in glibc 2.31.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 16:54:55 +1000

faketime (0.9.7-3) unstable; urgency=medium

  * Acknowledge NMU (thanks, Tobias!)
  * use cherry-picked upstream git commits for fxing FTBFS
  * Standards-Version: bump to 4.2.1 (no changes needed)
  * d/changelog: drop trailing whitespace

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 06 Oct 2018 20:00:03 -0400

faketime (0.9.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-Pick fixes for the FTBFS with gcc-8 from upstream git
    repository. (Closes: #897747)

 -- Tobias Frost <tobi@debian.org>  Sat, 29 Sep 2018 16:35:04 +0200

faketime (0.9.7-2) unstable; urgency=medium

  * git: convert branch naming to DEP-14
  * use correct gettimeofday() on alpha (Closes: #890813)
  * d/control: use Rules-Requires-Root: no
  * d/rules: enable hardening flags
  * use CPPFLAGS to fix hardening-no-fortify-functions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Feb 2018 14:07:10 -0800

faketime (0.9.7-1) unstable; urgency=medium

  * New upstream release (Closes: #780088)
  * remove extra word in debian/rules comment (Closes: #830581)
  * use github as upstream link; code-wizards.com is down
  * d/copyright: Format: use https version
  * use github for uscan as well
  * Priority: optional instead of extra
  * clarify descriptions of the two packages
  * updated git-buildpackage to use upstream git repo
  * drop patches applied upstream
  * pull bugfix from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Feb 2018 14:07:06 -0800
