=== debian/tests/control ===
Tests: smoketest
Depends: faketime
