=== debian/changelog ===
faketime (0.9.8-9) unstable; urgency=medium

  * apply FORCE_MONOTONIC_FIX on all Linux arches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 11 Feb 2021 18:16:54 -0500

faketime (0.9.8-8) unstable; urgency=medium

  * add FORCE_MONOTONIC_FIX to ia64 and alpha

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 09 Feb 2021 14:06:34 -0500

faketime (0.9.8-7) unstable; urgency=medium

  * set FORCE_PTHREAD_NONVER on x32

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 06 Feb 2021 11:06:23 -0500

faketime (0.9.8-6) unstable; urgency=medium

  * fix MONOTONIC hangs on x32 and sparc64

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Feb 2021 10:37:41 -0500

faketime (0.9.8-5) unstable; urgency=medium

  * adopt upstream mechanism for tweaking/fixing MONOTONIC hangs

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Feb 2021 20:48:14 -0500

faketime (0.9.8-4) unstable; urgency=medium

  * added upstream test suite to CI
  * Apply fixes to permanent hangs on the appropriate architectures

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Feb 2021 17:37:41 -0500

faketime (0.9.8-3) unstable; urgency=medium

  * clean up DEB_CFLAGS_MAINT_APPEND
  * FORCE_MONOTONIC_FIX only on arches where it is known to be needed
    (this might cause timeout failures on other build daemons as we
    learn where else it is needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Feb 2021 10:17:42 -0500

faketime (0.9.8-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * fix embedded version number

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Feb 2021 19:21:15 -0500

faketime (0.9.8-1) unstable; urgency=medium

  * New upstream release
  * use branchname debian/main for debian packaging
  * convert to dh 13
  * Standards-Version: bump to 4.5.1 (no changes needed)
  * drop patches (already upstream)
  * apply -DFORCE_MONOTONIC_FIX to avoid infinite hangs in test/timetest.c
  * juggle changelog locations (see #965349)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Feb 2021 14:32:55 -0500
