=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: faketime
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
- debhelper (>= 11~),
- dh-exec (>= 0.3),
-Standards-Version: 4.2.1
+ debhelper-compat (= 13),
+Standards-Version: 4.5.1
 Homepage: https://github.com/wolfcw/libfaketime
 Vcs-Browser: https://salsa.debian.org/debian/faketime
 Vcs-Git: https://salsa.debian.org/debian/faketime.git
