=== debian/changelog ===
faketime (0.9.10-2.1ubuntu1) noble; urgency=medium

  * Fix faketime to stat(1) and ls(1) (LP: #2052986)
    - Take upstream commit titled 'adding support for faking statx',
      thanks to upstream contributor 'v-gb'.

 -- Dalton Durst <ubuntu-contrib@daltondur.st>  Tue, 13 Feb 2024 10:56:37 -0600

faketime (0.9.10-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * test/snippets: fix time.c compiler error on 32-bit arches (Closes:
    #1010814)

 -- Paul Gevers <elbrus@debian.org>  Sat, 13 Aug 2022 20:58:42 +0200

faketime (0.9.10-2) unstable; urgency=medium

  * drop unnecessary tweak to version number
  * run extended tests during build
  * Avoid syscall-related tests (Closes: #1007828)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 16 Apr 2022 10:24:48 -0700

faketime (0.9.10-1) unstable; urgency=medium

  * new upstream release (no functional changes since previous git snapshot)
    - Closes: #939789
  * move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 09 Mar 2022 10:47:30 -0500

faketime (0.9.9+git20220228-1) experimental; urgency=medium

  * New git snapshot release to experimental
  * fixup patch
  * drop explicit FORCE_MONOTONIC_FIX (rely on upstream autodetection)
  * Drop INTERCEPT_SYSCALL due to its instability across architectures

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 28 Feb 2022 12:51:10 -0500

faketime (0.9.9+git20211010-1) experimental; urgency=medium

  * New git snapshot release to experimental
  * drop patches already upstreamed
  * Standards-Version: bump to 4.6.0 (no changes needed)
  * d/copyright: update year ranges

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 04 Feb 2022 16:25:54 -0500

faketime (0.9.9+git20210304-2) experimental; urgency=medium

  * test variadic promotion assumptions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Mar 2021 22:54:55 -0500

faketime (0.9.9+git20210304-1) experimental; urgency=medium

  * new git snapshot release to experimental
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Mar 2021 21:59:11 -0500

faketime (0.9.9+git20210226-1) experimental; urgency=medium

  * new git snapshot release to experimental
  * refresh patches
  * autopkgtest: use larger-coverage snippet-driven test suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 25 Feb 2021 23:27:42 -0500

faketime (0.9.9+git20210225-1) experimental; urgency=medium

  * new git snapshot release to experimental
  * refresh patches
  * enable FAKE_PID
  * enable INTERCEPT_SYSCALL
  * use real_getpid instead of getpid in ft_shm_create
  * clean up test suite output
  * autopkgtests: test syscall, getpid, and randomtest features

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 25 Feb 2021 10:43:02 -0500

faketime (0.9.9+git20210223-1) experimental; urgency=medium

  * new git snapshot release to experimental
  * fix getrandom

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 23 Feb 2021 22:10:15 -0500

faketime (0.9.8+git20210209-1) experimental; urgency=medium

  * new git snapshot release to experimental
  * Update patches
  * Enable FAKE_RANDOM
  * autopkgtest: Use env var to identify the library to test

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 11 Feb 2021 18:46:44 -0500
