=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: faketime
 Section: utils
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/wolfcw/libfaketime
 Vcs-Browser: https://salsa.debian.org/debian/faketime
 Vcs-Git: https://salsa.debian.org/debian/faketime.git
